
import java.util.Scanner;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.io.FileOutputStream;

public class ReadWriteDemo2
{	
    public static void main(String[] args)
    {
        Scanner keyboard = new Scanner(System.in);
        String inputFilename = keyboard.next();
        String outputFilename = keyboard.next();

        Scanner inputStream = null;
        PrintWriter outputStream = null;

        while (true)
        {
        	try
        	{
                inputStream = new Scanner(new FileInputStream(inputFilename));
                outputStream = new PrintWriter(new FileOutputStream(outputFilname));
        	    break;
			}catch(FileNotFoundException e){
                System.out.println("Problem opening files. Enter names again:");
				inputFilename = keyboard.next();
				outputFilename = keyboard.next();
			}
        }

        String line = null;
        int count = 0;

        while (inputStream.hasNextLine( ))
        {
            line = inputStream.nextLine( );
            count++;
            outputStream.println(count + " " + line);
        }

        inputStream.close( );
        outputStream.close( );
    }

}

