
import java.util.Scanner;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.io.FileOutputStream;

public class ReadWriteDemo3
{
	public static Scanner openForReading(){
		Scanner keyboard = new Scanner(System.in);
        String inputFilename = keyboard.nextLine();
		Scanner inputStream = null;
        while (true)
        {
			try{
				inputStream = new Scanner(new FileInputStream(inputFilename));
			}catch(FileNotFoundException e){
                System.out.println("Problem opening files. Enter names again:");
				inputFilename = keyboard.next();
			}
		}
		return inputStream;
	}
	
	public static Scanner openForReading(){
		Scanner keyboard = new Scanner(System.in);
        String outputFilename = keyboard.nextLine();
		PrintWriter outputStream = null;
        while (true)
        {
			try{
                outputStream = new PrintWriter(new FileOutputStream(outputFilname));
			}catch(FileNotFoundException e){
                System.out.println("Problem opening files. Enter names again:");
				outputFilename = keyboard.next();
			}
		}
		return outputStream;
	}
	
    public static void main(String[] args)
    {
        Scanner inputStream = openForReading();
        PrintWriter outputStream = openForWriting();

        String line = null;
        int count = 0;

        while (inputStream.hasNextLine( ))
        {
            line = inputStream.nextLine( );
            count++;
            outputStream.println(count + " " + line);
        }

        inputStream.close( );
        outputStream.close( );
    }

}

