import java.util.Scanner;
import java.util.ArrayList;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.io.FileOutputStream;

public class ReadWriteDemo4
{
	public static ArrayList<Integer> readInput(String inputFilename) throws FileNotFoundException{

		Scanner inputStream = new Scanner(new FileInputStream(inputFilename));
		ArrayList<Integer> intList = new ArrayList
		while (inputStream.hasNextInt( ))
        {
            int num = inputStream.nextInt( );
            intList.add(num);
        }
		inputStream.close( );
        return intList;
	}
	
	public static void writeOutput(String outputFilename, ArrayList<Integer> intList) throws FileNotFoundException{
		PrintWriter outputStream = new PrintWriter(new FileOutputStream(outputFilname));
		for (int num: intList){
			outputStream.println(num);
		}
        outputStream.close( );		
	}
	
    public static void main(String[] args)
    {
		Scanner keyboard = new Scanner(System.in);
        String inputFilename = keyboard.nextLine();
		String outputFilename = keyboard.next();
		ArrayList<Integer> intLit = null;
		
		try
        {
           intList = readInput(inputFilename);
        }
        catch(FileNotFoundException e)
        {
           System.out.println("Problem opening files.");
           System.exit(0);
        }
		
		for (int i=0; i < intList.size(); i ++){
			intList.set(i,intList.get(i)+1);
		}

		try
        {
           writeOutput(outputFilename,intList);
        }
        catch(FileNotFoundException e)
        {
           System.out.println("Problem opening files.");
           System.exit(0);
        }
    }

}

